# query data by dataSouce

query data by dataSouce

Endpoint: GET /v1/ingress/data-sources/{dataSource}/{dataType}/summary
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source

  - `dataType` (string, required)
    supported data type: wells, wellbores, trajectories, wellbore-geometries, targets,formation-tops, pressure-windows, temperatures, cement-programs

## Query parameters:

  - `well_id` (string)
    well id

  - `page` (integer)
    page

  - `page_size` (integer)
    page size

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (text/plain):

  - `id` (string)

  - `name` (string)

  - `timestamp` (string)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

